language: cn
model_unique_abbr: las_vegas
version: 1.0

identification:
  docker_image_name: las_vegas:1.0
  model_name: 拉斯维加斯模型
  semantic: 遥感分析 # 或根据你的应用需求填写
  category_application: 描述型 # 确保非空
  category_data:
    - 随机算法
  description: 使用拉斯维加斯算法模型进行随机算法分析。

parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      is_run_arg: true
      param_type: input_data
      name: 输入文件
      description: 输入数据文件 (CSV 格式)
      is_required: true
      data_type: csv
    - arg_name: output
      is_single_en_dash: false
      is_run_arg: true
      param_type: output_data
      name: 输出文件
      description: 输出的 CSV 文件
      is_required: true
      data_type: csv

application:
  domain: 遥感分析
  objective: 随机算法
  dimension:
    - "二维"  # 确保这是一个数组格式

operation:
  usage: "该算法通过 Flask 提供 API 接口，支持遥感数据的上传和坡度分析。"
  exec_example:
    - docker run -v $(pwd):/data las_vegas:1.0 --input /data/input.csv --output /data/output.csv

technique:
  language:
    - "Python"  # 语言应该是列表格式
  os:
    - "Linux"
    - "Windows"
  dependencies:
    - name: Geopandas
      version: 0.9.0

source:
  maintainer: Jingye Yang
  organization: GitHub
  contact: 1325423527@qq.com
  repository: https://github.com/las-vegas/remote_sensing_model
  integrated_softwares:
    - name: Geopandas
      version: 0.9.0
      license: MIT
  references:
    - "Geopandas: https://geopandas.org/"
